summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-01-02 04:24:33 +0000
committerSam James <sam@gentoo.org>2021-01-02 04:24:33 +0000
commitd94d64b37889af4aa4be68dbfb184ca49555beb0 (patch)
tree704aa4aff6d0880a0665b2cc01003c705c9ab562 /dev-tex/latex2html
parentdev-tex/latex2html: add github remote-id (diff)
downloadgentoo-d94d64b37889af4aa4be68dbfb184ca49555beb0.tar.gz
gentoo-d94d64b37889af4aa4be68dbfb184ca49555beb0.tar.bz2
gentoo-d94d64b37889af4aa4be68dbfb184ca49555beb0.zip
dev-tex/latex2html: bump to 2021
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'dev-tex/latex2html')
-rw-r--r--dev-tex/latex2html/Manifest1
-rw-r--r--dev-tex/latex2html/latex2html-2021.ebuild80
2 files changed, 81 insertions, 0 deletions
diff --git a/dev-tex/latex2html/Manifest b/dev-tex/latex2html/Manifest
index ea66d1f10f8..99f8970b933 100644
--- a/dev-tex/latex2html/Manifest
+++ b/dev-tex/latex2html/Manifest
@@ -1,2 +1,3 @@
DIST latex2html-2015.tar.gz 1217699 BLAKE2B e9daea005b7674ebb6a8c5902b77b609a633515b4127a2b3fe4d1b15bc2428c02ccc024df62545d5fe63e7034ad4b1532905fee97057d49730ec27f12913c55e SHA512 dd031944250efd28691edeba5e83b4c5c0deec3a2e7c2ab2a9bd285a911f6ab21a02cd0ef697bebc2c7c7c0ebd285493c1d6b01b0db9355fc7f3316a2af65e2c
DIST latex2html-2017.2.tar.gz 1131438 BLAKE2B 0a13cca95e1f7d8a9fd7d6b077726e083a6d33fbc712b883be46d57fbdea91d1d02a2a2f1990c5827cf2a4b9db18033f41f326af0a69770988bf4ff5e53a010a SHA512 0e1ab1b2005dc71988b1500884d7a13bfbdce73a62ef7f6cc6e83e29d776c98eb09cff3f8d0c162493586094c9ca6f07d47e98d2137f223f27044d03e9bb3473
+DIST latex2html-2021.tar.gz 1130224 BLAKE2B c3775b2546a866834c0ed94362a428f2cfe48e8fe7337261993fe1f473350ddb778c50cc4393fe33c9f3829e5dc6f5c0ef43ae6a4c21481746023ef5939308da SHA512 f1f087a58911410b3ca9f4b60149b66d17608a9a56d0e8f74f08e6d6595e3e9c4f5378a7ab5cfc7488cd182a0dc3d4c151283b57636a70271c7f734e69ed0608
diff --git a/dev-tex/latex2html/latex2html-2021.ebuild b/dev-tex/latex2html/latex2html-2021.ebuild
new file mode 100644
index 00000000000..8069ba5f8f0
--- /dev/null
+++ b/dev-tex/latex2html/latex2html-2021.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Convertor written in Perl that converts LATEX documents to HTML"
+HOMEPAGE="https://www.latex2html.org/"
+SRC_URI="https://github.com/latex2html/latex2html/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="gif png"
+
+DEPEND="
+ app-text/ghostscript-gpl
+ virtual/latex-base
+ media-libs/netpbm
+ dev-lang/perl
+ gif? ( media-libs/giflib )
+ png? ( media-libs/libpng:0 )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/latex2html-destdir.patch"
+)
+
+src_prepare() {
+ default
+
+ sed -i -e 's%@PERL@%'"${EPREFIX}"'/usr/bin/perl%g' wrapper/unix.pin || die
+}
+
+src_configure() {
+ local myconf
+
+ use gif || use png || myconf="${myconf} --disable-images"
+
+ econf \
+ --libdir="${EPREFIX}"/usr/$(get_libdir)/latex2html \
+ --shlibdir="${EPREFIX}"/usr/$(get_libdir)/latex2html \
+ --enable-pk \
+ --enable-eps \
+ --enable-reverse \
+ --enable-pipes \
+ --enable-paths \
+ --enable-wrapper \
+ --with-texpath="${EPREFIX}"/usr/share/texmf-site/tex/latex/html \
+ --without-mktexlsr \
+ $(use_enable gif) \
+ $(use_enable png) \
+ ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ # make /usr/share/latex2html sticky
+ keepdir /usr/share/latex2html
+
+ # clean the perl scripts up to remove references to the sandbox
+ local dir="${ED}/usr/$(get_libdir)/latex2html"
+ if use png || use gif; then
+ # pstoimg isn't built unless gif or png useflags are enabled
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/pstoimg.pl || die
+ fi
+ sed -i -e "s:${S}::g" "${dir}"/latex2html.pl || die
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/cfgcache.pm || die
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/l2hconf.pm || die
+
+ dodoc BUGS Changes FAQ MANIFEST README.md TODO
+}
+
+pkg_postinst() {
+ "${EROOT}"/usr/bin/mktexlsr
+}
+
+pkg_postrm() {
+ "${EROOT}"/usr/bin/mktexlsr
+}